> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Usage Events

> List all Usage Events



## OpenAPI

````yaml usage.2024-07-30.product.live GET /usage-events
openapi: 3.0.0
info:
  title: Usage
  description: Manage usage events and metrics
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /usage-events:
    servers: []
    parameters: []
    get:
      tags:
        - Usage Events
      summary: List all Usage Events
      description: List all Usage Events
      operationId: getUsageEvents
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: sortOrder
          in: query
          description: >-
            Sort order. Default: DESC (descending, most often used for reverse
            chronological sorting).
          required: false
          schema:
            type: string
        - name: offset
          in: query
          description: >-
            Pagination offset. To retrieve a non-contiguous page, use this
            parameter to specify the offset to fetch relative to
            `pagination.after` or `pagination.before`.
          required: false
          schema:
            type: integer
        - name: customerAlias
          in: query
          description: Filter events by customer alias
          required: false
          schema:
            type: array
        - name: unmappedAliasesOnly
          in: query
          description: Include unmapped aliases only
          required: false
          schema:
            type: boolean
        - name: eventType
          in: query
          description: Filter events by type
          required: false
          schema:
            type: string
        - name: eventId
          in: query
          description: Filter events by event id
          required: false
          schema:
            type: string
        - name: eventTimestampBefore
          in: query
          description: Filter events by timestamp before
          required: false
          schema:
            type: string
        - name: eventTimestampAfter
          in: query
          description: Filter events by timestamp after
          required: false
          schema:
            type: string
        - name: sortBy
          in: query
          description: 'Sort column. Default: creation time.'
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListUsageEventEndpointEndpointResponseModel
                example:
                  items:
                    - id: 0184421a-8202-70ea-a729-30308a40bbf7
                      customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                      customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                      eventType: message-sent
                      sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
                      eventTimestamp: '2022-10-01T00:00:00Z'
                      eventProperties:
                        length: 500
                        type: text_message
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListUsageEventEndpointEndpointResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: 0184421a-8202-70ea-a729-30308a40bbf7
                        customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                        customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                        eventType: message-sent
                        sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
                        eventTimestamp: '2022-10-01T00:00:00Z'
                        eventProperties:
                          length: 500
                          type: text_message
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListUsageEventEndpointEndpointResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: 0184421a-8202-70ea-a729-30308a40bbf7
            customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
            customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
            eventType: message-sent
            sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
            eventTimestamp: '2022-10-01T00:00:00Z'
            eventProperties:
              length: 500
              type: text_message
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Usage events
          example:
            - id: 0184421a-8202-70ea-a729-30308a40bbf7
              customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
              customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
              eventType: message-sent
              sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
              eventTimestamp: '2022-10-01T00:00:00Z'
              eventProperties:
                length: 500
                type: text_message
          items:
            $ref: >-
              #/components/schemas/CreateUsageEventEndpointProductCreateUsageEventResponseModel
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    CreateUsageEventEndpointProductCreateUsageEventResponseModel:
      required:
        - customerAlias
        - customerEventId
        - eventProperties
        - eventTimestamp
        - eventType
        - id
        - sequenceAccountId
      type: object
      example:
        id: 0184421a-8202-70ea-a729-30308a40bbf7
        customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        eventType: message-sent
        sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
        eventTimestamp: '2022-10-01T00:00:00Z'
        eventProperties:
          length: 500
          type: text_message
      properties:
        id:
          type: string
          description: Unique ID
          example: 0184421a-8202-70ea-a729-30308a40bbf7
        customerEventId:
          type: string
          description: >-
            ID provided by customer. Another event with the same customer event
            ID will supersede this one.
          example: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias:
          type: string
          description: End-customer alias or ID
          example: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        eventType:
          type: string
          description: Event type. This can be referenced from a usage metric.
          example: message-sent
        sequenceAccountId:
          type: string
          description: Sequence account ID
          example: 0184421e-a9cc-711b-af93-bf0511d4d833
        eventTimestamp:
          type: string
          description: Event timestamp, in ISO 8601 format.
          example: '2022-10-01T00:00:00Z'
        eventProperties:
          type: object
          description: Event properties. These can be referenced by a usage metric.
          additionalProperties: {}
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10

````